Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Number Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Number:

## Public Member Functions
CRL_Number * | copy () const override
| CRL_Number ()
| CRL_Number (size_t n)
size_t | get_crl_number () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate > > &cert_path, std::vector< std::set< Certificate_Status_Code > > &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

CRL Number Extension

Definition at line 335 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ CRL_Number() [1/2]

Botan::Cert_Extension::CRL_Number::CRL_Number | ( |  | ) |
| inline

Definition at line 340 of file x509_ext.h.

340: m_has_value(false), m_crl_number(0) {}

Referenced by copy().

## ◆ CRL_Number() [2/2]

Botan::Cert_Extension::CRL_Number::CRL_Number | ( | size_t | n | ) |
| inline

Definition at line 341 of file x509_ext.h.

341: m_has_value(true), m_crl_number(n) {}

## Member Function Documentation

## ◆ copy()

CRL_Number * Botan::Cert_Extension::CRL_Number::copy | ( |  | ) | const
| override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 860 of file x509_ext.cpp.

861 {
862 if(!m_has_value)
863 throw Invalid_State("CRL_Number::copy: Not set");
864 return new CRL_Number(m_crl_number);
865 }
Botan::Cert_Extension::CRL_Number::CRL_Number
CRL_Number()
Definition: x509_ext.h:340

References CRL_Number().

## ◆ get_crl_number()

size_t Botan::Cert_Extension::CRL_Number::get_crl_number | ( |  | ) | const

Definition at line 850 of file x509_ext.cpp.

851 {
852 if(!m_has_value)
853 throw Invalid_State("CRL_Number::get_crl_number: Not set");
854 return m_crl_number;
855 }

## ◆ oid_of()

OID Botan::Cert_Extension::CRL_Number::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 346 of file x509_ext.h.

346{ return static_oid(); }
Botan::Cert_Extension::CRL_Number::static_oid
static OID static_oid()
Definition: x509_ext.h:345

## ◆ static_oid()

static OID Botan::Cert_Extension::CRL_Number::static_oid | ( |  | ) |
| inline static

Definition at line 345 of file x509_ext.h.

345{ return OID("2.5.29.20"); }

## ◆ validate()

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate > > & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code > > & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Name_Constraints, and Botan::Cert_Extension::Certificate_Policies.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp